Page MenuHomePhabricator

Warning messages not displayed in AWB preview mode
Closed, ResolvedPublic

Description

MediaWiki automatically makes a warning for all transclusions with duplicate arguments and displays it above the whole preview and a horizontal line. It was introduced at phab:T85352 and uses MediaWiki:Duplicate-args-warning. Example: "Warning: Page using Template:Infobox website with unknown parameter "Video Personality" (this message is shown only in preview)."

When previewing the same article within AWB, the same message is not displayed allowing the introduction of errors (although usually not very consequential ones) that are easier to catch with normal Preview mode. This is inconsistent and I believe AWB should show these warning messages as well.

Event Timeline

MB_phab created this task.May 13 2018, 3:40 AM
Restricted Application added subscribers: Scoopfinder, Aklapper. · View Herald TranscriptMay 13 2018, 3:40 AM
Rjwilmsi closed this task as Resolved.May 18 2018, 12:16 PM
Rjwilmsi claimed this task.
Rjwilmsi added a subscriber: Rjwilmsi.

rev 12204

Preview: request parsewarnings from API, put any warnings found (e.g. duplicate template parameters) at top of preview in red

Note that the formatting of the warnings doesn't get the wikilinks right, but does show the content detail

As ever, need new AWB release to pick up this change.

Vvjjkkii renamed this task from Warning messages not displayed in AWB preview mode to 71caaaaaaa.Jul 1 2018, 1:10 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Rjwilmsi as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from 71caaaaaaa to Warning messages not displayed in AWB preview mode.Jul 2 2018, 4:15 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Rjwilmsi.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.